Page MenuHomeFreeBSD

devel/apr1: Update to 1.6
ClosedPublic

Authored by brnrd on Jun 20 2017, 8:05 PM.

Details

Summary
www/apr1: Update to 1.6

 - Update APR to 1.6.0
 - Update APR-util to 1.6.2
 - Update www/apache22 to 2.2.34
 - Update www/apache24 to 2.4.27
 - Add Brotli compression
 - HTTP/2 is production ready, default enable
   - warn users of 10.3 for mod_http2/OpenSSL 1.0.1
 - Add patches for LibreSSL [1]

[1] https://bz.apache.org/bugzilla/show_bug.cgi?id=61184

PR: 220160
Submitted by:  Markus Kohlmeyer <rootservice@gmail.com>
Reviewed_by:
Differential_Revision: D11285

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd created this revision.Jun 20 2017, 8:05 PM
i.dani_outlook.com requested changes to this revision.Jun 20 2017, 9:09 PM

mod_brotli support, which has been added in v 2.4.26, is missing in this diff. Please also see: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220160

This revision now requires changes to proceed.Jun 20 2017, 9:09 PM
brnrd edited the summary of this revision. (Show Details)Jun 21 2017, 7:29 AM
brnrd added a comment.Jun 21 2017, 8:50 AM

mod_brotli support, which has been added in v 2.4.26, is missing in this diff. Please also see: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=220160

The current brotli in ports (devel/libbrotli) is unusable for this purpose, see D11290 to update/move brotli so we can use it.

brnrd updated this revision to Diff 29910.Jun 21 2017, 2:23 PM
brnrd edited edge metadata.

Fix strip failures

Enumerate files in sbin to patch

mat added inline comments.Jun 21 2017, 4:15 PM
www/apache24/Makefile
199–201 ↗(On Diff #29910)

The previous was quite fine, now the maintainer has to maintain the list of possible elf files.

ohauer edited edge metadata.Jun 21 2017, 7:11 PM

Not sure about http2, per documentation OpenSSL >= 1.0.2 is required and this is not the base version for FreeBSD 10
The last thing we should do is fore openssl-devel, libressl. or update users to FreeBSD 11

The change in strip should be reverted, else it should be dynamic e.g. in case users deselect fcgi they will get an error because binary is in the list but was not build

mat added a comment.Jun 22 2017, 10:00 AM

Maybe we could get the apache update now, because of the vulns, and leave all the sparkly things that are not related to the security issues for later ?

mat added a comment.Jun 22 2017, 11:05 AM

(I did the 2.4.26 update, it was taking too long, you can discuss the rest of the patch now.)

brnrd updated this revision to Diff 29959.Jun 22 2017, 7:19 PM
brnrd marked an inline comment as done.

Update patches after 2.4.26 was committed to ports

  • Revert STRIP change on sbin/*
  • Add warning on 10.3 for mod_http2 module
brnrd edited the summary of this revision. (Show Details)Jun 22 2017, 7:22 PM
brnrd added inline comments.
www/apache24/Makefile
199–201 ↗(On Diff #29910)

I've experienced issues with the stripping on my machine due to some files not being elf. Resulted in files not being stripped and thus warnings. Reverted.

www/apache24/Makefile.options
59 ↗(On Diff #29959)

Added again locally

Successfully built and installed on FBSD10.3, together with mod_brotli support.

This revision is now accepted and ready to land.Jun 23 2017, 1:47 PM

Builds and runs fine on 11.1 with mod_brotli, mod_http2, libressl

brnrd updated this revision to Diff 30684.Jul 12 2017, 3:03 PM
brnrd edited edge metadata.

Update APR, Apache 2.2 and 2.4

  • Update devel/apr1 to 1.6.0.1.6.2
  • Update www/apache22 to 2.2.34
  • Update www/apache24 to 2.4.27
This revision now requires review to proceed.Jul 12 2017, 3:03 PM
brnrd retitled this revision from www/apache24: Update to 2.4.26 to devel/apr1: Update to 1.6.Jul 12 2017, 3:52 PM
brnrd edited the summary of this revision. (Show Details)

Hi Bernhard,

looks good to me.
I have two addition for the devel/apr1 port.
UPDATING need an enty like `pkg updating -d 20130706' since there are many users building with legay portmaster tools and not in clean environment and this is a real issue during major devel/apr1 version changes
Also would you mind to change in devel/apr1/Makefile the line

  • @${FIND} ${WRKSRC} -type f \( -name 'NWGNU*' -o -name '*.ds?' -o -name '*.dep' -o -name '*.mak' -o -name '*.win' \) -delete

+ @${FIND} ${WRKDIR} -type f \( -name 'NWGNU*' -o -name '*.ds?' -o -name '*.dep' -o -name '*.mak' -o -name '*.win' \) -delete

> s/WRKSRC/WRKDIR/ to remove windows and NW build instructions not only from work/apr but also again from work/ar-util

PS:
I haven't tested the complete build in a prod. environment (no time) but I believe you and others have done this already, so please go on and commit

This revision was automatically updated to reflect the committed changes.